Доступные версии документации

Apache Cayenne

Для подсоединения к БД с помощью Apache Cayenne:

  1. выбрать пакет для соответствующей версии Apache Cayenne

    Версия apache cayenne: 2.0 – 2.0.4.
    Версия диалекта: linter-cayenne2.
    Каталог: v2

    или

    Версия apache cayenne: 3.0 – 3.1.
    Версия диалекта: linter-cayenne3.
    Каталог: v3
    

    или

    Версия apache cayenne: 3.2
    Версия диалекта: linter-cayenne3.2
    Каталог: v3.2
    

  2. для сборки пакета диалекта перейти в соответствующий каталог и подать команду:

    mvn clean install 

    (диалект будет установлен в репозиторий maven) или

    mvn clean package 

    (диалект будет собран в jar-файл в каталоге target).

    Примечание

    Можно изменить файл pom.xml, указав конкретную версию apache cayenne, например,

    <dependency>
        <groupId>org.apache.cayenne</groupId>
        <artifactId>cayenne</artifactId>
        <version>2.0.4</version>
    </dependency>

    Возможны и другие способы использования интерфейса (прямое подключение к проекту, сборка в составе apache cayenne и т.п.).

  3. подключиться к СУБД ЛИНТЕР.

    В случае если пакет диалекта установлен в репозиторий maven, то для подключения его к приложению достаточно в соответствующий файл pom.xml добавить зависимость от интерфейса, например, так:

    <dependencies>
        <dependency>
            <groupId>ru.relex.linter</groupId>
            <artifactId>linter-cayenne3</artifactId>
            <version>1.0.1</version>
        </dependency>
    </dependencies>
    

    Для указания параметров доступа потребуются параметры подключения в connection.properties, например, такие:

    linter.adapter = org.apache.cayenne.dba.linter.LinterAdapter
    linter.cayenne.adapter = org.apache.cayenne.dba.linter.LinterAdapter
    linter.jdbc.username = SYSTEM
    linter.jdbc.password = MANAGER
    linter.jdbc.url = jdbc:linter:linapid:localhost:1070:local;
     ignoreTargetSqlType=true
    linter.jdbc.driver = com.relx.jdbc.LinterDriver

    или

    <properties>
    <adapter>org.apache.cayenne.dba.linter.LinterAdapter</adapter>
    <cayenne.adapter>org.apache.cayenne.dba.linter.LinterAdapter
    </cayenne.adapter>
             <jdbc.driver>com.relx.jdbc.LinterDriver</jdbc.driver>
              <jdbc.url>jdbc:linter:linapid:localhost:1070:local;
               emptyBlobAsNull=true</jdbc.url>
              <jdbc.user>SYSTEM</jdbc.user>
              <jdbc.pass>MANAGER</jdbc.pass>
              <jdbc.isolation/>
    </properties>

    Следует помнить, что непосредственно для доступа к СУБД требуется ещё и JDBC-драйвер СУБД ЛИНТЕР linjdbc-1.4.jar или выше.

Заметили ошибку?
Выделите текст и нажмите Ctrl + Enter